Package org.pushingpixels.flamingo.internal.ui.ribbon

# Class BasicRibbonTaskToggleButtonUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ButtonUI
org.pushingpixels.flamingo.internal.ui.common.CommandButtonUI
org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI
org.pushingpixels.flamingo.internal.ui.common.BasicCommandToggleButtonUI
org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonTaskToggleButtonUI

public class BasicRibbonTaskToggleButtonUI extends BasicCommandToggleButtonUI
Basic UI for toggle button of ribbon tasks `JRibbonTaskToggleButton`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected PopupPanelManager.PopupListener`
`popupListener`

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI

`basicPopupButtonListener, buttonRendererPane, commandButton, disposePopupsActionListener, DONT_DISPOSE_POPUPS, EMULATE_SQUARE_BUTTON, isUnderMouse, layoutInfo, layoutManager, popupActionIcon, popupActionListener, propertyChangeListener, rendererButton, rendererSeparator`

## Constructor Summary

Constructors
Constructor
Description
`BasicRibbonTaskToggleButtonUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent c)`
`Dimension`
`getMinimumSize(JComponent c)`
`Dimension`
`getPreferredSize(JComponent c)`
`protected void`
`installDefaults()`
Installs defaults on the associated command button.
`protected void`
`installListeners()`
Installs listeners on the associated command button.
`protected void`
`paintButtonBackground(Graphics graphics, Rectangle toFill)`
Paints the button background.
`protected void`
`paintText(Graphics g)`
`protected void`
`uninstallListeners()`
Uninstalls listeners from the associated command button.
`void`
`update(Graphics g, JComponent c)`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandToggleButtonUI

`createRendererButton, isPaintingSeparators, updatePopupActionIcon`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI

`configureRenderer, createButtonListener, createPopupActionIcon, createPopupActionListener, getForegroundColor, getIconToPaint, getKeyTipAnchorCenterPoint, getLayoutGap, getLayoutInfo, installComponents, installKeyboardActions, installUI, isPaintingBackground, paint, paintButtonBackground, paintButtonHorizontalSeparator, paintButtonIcon, paintButtonVerticalSeparator, paintPopupActionIcon, processPopupAction, syncDisabledIcon, syncIconDimension, toUseDisabledIcon, unconfigureRenderer, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallUI, updateBorder, updateCustomDimension`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### popupListener

protected PopupPanelManager.PopupListener popupListener

## Constructor Details

### BasicRibbonTaskToggleButtonUI

public BasicRibbonTaskToggleButtonUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)

### installDefaults

protected void installDefaults()
Description copied from class: `BasicCommandButtonUI`
Installs defaults on the associated command button.

Overrides:
  `installDefaults` in class `BasicCommandButtonUI`

### installListeners

protected void installListeners()
Description copied from class: `BasicCommandButtonUI`
Installs listeners on the associated command button.

Overrides:
  `installListeners` in class `BasicCommandButtonUI`

### uninstallListeners

protected void uninstallListeners()
Description copied from class: `BasicCommandButtonUI`
Uninstalls listeners from the associated command button.

Overrides:
  `uninstallListeners` in class `BasicCommandButtonUI`

### update

public void update(Graphics g, JComponent c)

Overrides:
  `update` in class `BasicCommandButtonUI`

### paintText

protected void paintText(Graphics g)

### paintButtonBackground

protected void paintButtonBackground(Graphics graphics, Rectangle toFill)
Paints the button background.

Overrides:
  `paintButtonBackground` in class `BasicCommandButtonUI`
Parameters:
  `graphics` - Graphics context.
  `toFill` - Rectangle to fill.

### getPreferredSize

public Dimension getPreferredSize(JComponent c)

Overrides:
  `getPreferredSize` in class `BasicCommandButtonUI`

### getMinimumSize

public Dimension getMinimumSize(JComponent c)

Overrides:
  `getMinimumSize` in class `ComponentUI`